const { Level } = require('level');

const dataDir = process.env.LEVEL_DATA_DIR || 'data';

module.exports = {
  forum: new Level(`${dataDir}/forum`, { valueEncoding: 'json' }),
  authorAddresses: new Level(`${dataDir}/authorAddresses`, { valueEncoding: 'utf8' }),
  authorPrivKeys: new Level(`${dataDir}/authorPrivKeys`, { valueEncoding: 'utf8' }),
  appState: new Level(`${dataDir}/appState`, { valueEncoding: 'json' }),
  proposalEventIds: new Level(`${dataDir}/proposalEventIds`, { keyEncoding: 'json', valueEncoding: 'utf8' }),
  referendumEventIds: new Level(`${dataDir}/referendumEventIds`, { keyEncoding: 'json', valueEncoding: 'utf8' }),
};
